<?php

namespace App\Http\Controllers\Auth;
use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;



class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;



    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    // protected $redirectTo = '/admin/dashboard';

    public function redirectTo()
    {
        $role = Auth::user()->roll;
      

        switch ($role) {
            case 'admin':
                return '/admin/dashboard';
                break;

            default:
                return '/';
                break;
        }
    }

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    // public function __construct()
    // {
    //     $this->middleware('guest')->except('logout');
    // }
    public function showLoginForm() {
        return view('auth.login');
    }
    public function admin_logout(Request $request){
        // $this->performLogout($request);
        Auth::logout();

        $request->session()->invalidate();

        $request->session()->regenerateToken();
        return redirect('admin/login');
    }
    public function login(Request $request) {
        $input = $request->all();
        $request->validate([
            'email' => 'required',
            'password' => 'required',
        ]);
        
        $credentials = $request->only('email', 'password');
        

        $credentialsuser['email'] = $credentials['email'];
        $credentialsuser['password'] = $credentials['password'];


            if (Auth::attempt($credentials)) {

                $user_data = User::where('email',$request->email)->first();
                if($user_data->roll == "Admin"){
                    return redirect()->route('dashboard')->withSuccess('Signed in');

                }else{
                    return redirect()->route('admin.login')->with('error','Email-Address And Password Are Wrong.');
                }
            }else{
                return redirect()->route('admin.login')->with('error','Email-Address And Password Are Wrong.');
            }
        
    }

}
