<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Courier;


class CourierServiceController extends Controller
{
    public function index() {
        return view('courier_service.index');
    }
    public function add() {
        return view('courier_service.add');
    }
    public function save(Request $request) {
        $id = $request->service_id;

        $data['name'] = $request->name;
        $data['price'] = $request->price;
        $data['description'] = $request->description;



        if($id != ""){
            $save = Courier::where('id', $id)->update($data);

        }else{
            $data['status'] = 1;
            $save = Courier::create($data);

        }
        return redirect()->route('courier_service')->with('success', 'Courier-Service Details successfully Submit.');
    }

    public function list() {
        $service_list = Courier::get();
        $counter = 1;
        $service_list->transform(function ($item) use (&$counter) {

            $item['ser_id'] = $counter++;


            if ($item['status'] == '1') {
                $item['status'] = '<input type="checkbox" data-id="' . $item['id'] . '" data-toggle="toggle" id="is_status"  checked class="is_featured_class">';
            } else {
                $item['status'] = '<input type="checkbox" data-id="' . $item['id'] . '" data-toggle="toggle" id="is_status"  class="is_featured_class">';
            }
            $item['action'] = '<a href="' . route('courier-service.edit',$item['id']) . '" class="table-btn table-btn1 service_edit"><img src="'. asset('assets/images/edit_icon.svg') .'" class="img-fluid white_logo" alt=""></a>';
            $item['action'] .= '<a data-href="' . route('courier-service.delete',$item['id']) . '" data-title="testrete" data-original-title="Delete sections" class="table-btn table-btn1 service_delete"><img src="' . asset('assets/images/delete_icon.svg') .'" class="img-fluid white_logo" alt=""></a>';
            return $item;
        });
    
        return response()->json(['data' => $service_list]);
        
    }

    public function edit($id) {
        $data['service'] = Courier::where('id', $id)->first();
   
        return view('courier_service.add', $data);
    }

    public function delete($id){
        if ($id != "") {
          
                $record = Courier::find($id);
                $record->delete();
                return redirect()->route('courier_service')->withSuccess('Courier-Service successfully Delete');
        
        }
    }

    public function student_status(Request $request){
        $id = $request->id;
        $response['status'] = 0;
        $response['message'] = "Status canceled";
        

        if (isset($request->isChecked) && $request->isChecked != 'true') {
            $data['status'] = 0;
            $save = Courier::where('id', $id)->update($data);
            $response['status'] = 1;
            $response['message'] = "Disable Successfully";

        } else {
            $data['status'] = 1;
            $save = Courier::where('id', $id)->update($data);
            $response['status'] = 1;
            $response['message'] = "Enable Successfully";

        }
        return response()->json($response);
        
    }
}
