<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Department;
use App\Models\Faculty;



class DepartmentController extends Controller
{
	public function index()
	{
		return view('department.index');
	}

	public function add()
	{
		$faculty = Faculty::where('status', 1)->get();
		return view('department.add', compact('faculty'));
	}

    public function save(Request $request) {

        $id = $request->department_id;

        $data['name'] = $request->name;
        $data['description'] = isset($request->description) ? $request->description : '';
        $data['faculty_id'] = isset($request->faculty) ? $request->faculty : '';


        if ($request->hasFile('image')) {

            $file = $request->file('image');

            $image = str_replace(' ', '', $file->getClientOriginalName());

            $destinationPath = public_path('department/image');

            $file->move($destinationPath, $image);

            $data['image'] = $image;
        }else{
            $data['image'] = isset($request->image_upload) ? $request->image_upload : '';
        }


        if($id != ""){
            $save = Department::where('id', $id)->update($data);

        }else{
            $data['status'] = 1;
            $save = Department::create($data);

        }
        return redirect()->route('department')->with('success', 'Department Details successfully Submit.');
    }

    public function list() {
        $department_list = Department::get();
        $counter = 1;
        $department_list->transform(function ($item) use (&$counter) {

            $item['ser_id'] = $counter++;


            if ($item['status'] == '1') {
                $item['status'] = '<input type="checkbox" data-id="' . $item['id'] . '" data-toggle="toggle" id="is_status"  checked class="is_featured_class">';
            } else {
                $item['status'] = '<input type="checkbox" data-id="' . $item['id'] . '" data-toggle="toggle" id="is_status"  class="is_featured_class">';
            }
            $item['action'] = '<a href="' . route('department.edit',$item['id']) . '" class="table-btn table-btn1 service_edit"><img src="'. asset('assets/images/edit_icon.svg') .'" class="img-fluid white_logo" alt=""></a>';
            $item['action'] .= '<a data-href="' . route('department.delete',$item['id']) . '" data-title="testrete" data-original-title="Delete sections" class="table-btn table-btn1 department_delete"><img src="' . asset('assets/images/delete_icon.svg') .'" class="img-fluid white_logo" alt=""></a>';
            return $item;
        });
    
        return response()->json(['data' => $department_list]);
        
    }

     public function edit($id) {
        $data['department'] = Department::where('id', $id)->first();
        $data['faculty'] = Faculty::where('status', 1)->get();
   
        return view('department.add', $data);
    }

    public function delete($id){
        if ($id != "") {
          
                $record = Department::find($id);
                $record->delete();
                return redirect()->route('department')->withSuccess('Department successfully Delete');
        
        }
    }

    public function department_status(Request $request){
        $id = $request->id;
        $response['status'] = 0;
        $response['message'] = "Status canceled";
        

        if (isset($request->isChecked) && $request->isChecked != 'true') {
            $data['status'] = 0;
            $save = Department::where('id', $id)->update($data);
            $response['status'] = 1;
            $response['message'] = "Disable Successfully";

        } else {
            $data['status'] = 1;
            $save = Department::where('id', $id)->update($data);
            $response['status'] = 1;
            $response['message'] = "Enable Successfully";

        }
        return response()->json($response);
        
    }

}