<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Diploma;


class DiplomaController extends Controller
{
	public function index()
	{
		return view('class.index');
	}

	public function add()
	{
		return view('class.add');
	}

    public function save(Request $request) {
        $id = $request->class_id;

        $data['name'] = $request->name;
        $data['description'] = $request->description;

        if($id != ""){
            $save = Diploma::where('id', $id)->update($data);

        }else{
            $data['status'] = 1;
            $save = Diploma::create($data);

        }
        return redirect()->route('class_diploma')->with('success', 'Class Details successfully Submit.');
    }

    public function list() {
        $faculty_list = Diploma::get();
        $counter = 1;
        $faculty_list->transform(function ($item) use (&$counter) {

            $item['ser_id'] = $counter++;


            if ($item['status'] == '1') {
                $item['status'] = '<input type="checkbox" data-id="' . $item['id'] . '" data-toggle="toggle" id="is_status"  checked class="is_featured_class">';
            } else {
                $item['status'] = '<input type="checkbox" data-id="' . $item['id'] . '" data-toggle="toggle" id="is_status"  class="is_featured_class">';
            }
            $item['action'] = '<a href="' . route('class.edit',$item['id']) . '" class="table-btn table-btn1 service_edit"><img src="'. asset('assets/images/edit_icon.svg') .'" class="img-fluid white_logo" alt=""></a>';
            $item['action'] .= '<a data-href="' . route('class.delete',$item['id']) . '" data-title="testrete" data-original-title="Delete sections" class="table-btn table-btn1 class_delete"><img src="' . asset('assets/images/delete_icon.svg') .'" class="img-fluid white_logo" alt=""></a>';
            return $item;
        });
    
        return response()->json(['data' => $faculty_list]);
        
    }

     public function edit($id) {
        $data['class'] = Diploma::where('id', $id)->first();
   
        return view('class.add', $data);
    }

    public function delete($id){
        if ($id != "") {
          
                $record = Diploma::find($id);
                $record->delete();
                return redirect()->route('class_diploma')->withSuccess('Class successfully Delete');
        
        }
    }

    public function class_status(Request $request){
        $id = $request->id;
        $response['status'] = 0;
        $response['message'] = "Status canceled";
        

        if (isset($request->isChecked) && $request->isChecked != 'true') {
            $data['status'] = 0;
            $save = Diploma::where('id', $id)->update($data);
            $response['status'] = 1;
            $response['message'] = "Disable Successfully";

        } else {
            $data['status'] = 1;
            $save = Diploma::where('id', $id)->update($data);
            $response['status'] = 1;
            $response['message'] = "Enable Successfully";

        }
        return response()->json($response);
        
    }

}