<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Country;
use App\Models\State;
use App\Models\City;
use App\Models\User;
use Illuminate\Support\Facades\Hash;




class StudentController extends Controller
{
    public function index() {
        return view('student_management.index');
    }
    public function add() {
        $data['countries'] = Country::get();
        return view('student_management.add', $data);
    }
    public function fetchState(Request $request)
    {
       
            $data['states'] = State::where("country_id",$request->country_id)->get(["name", "id"]);
  
        return response()->json($data);
    }
    public function fetchCity(Request $request)
    {
        $data['cities'] = City::where("state_id",$request->state_id)->get(["name", "id"]);
        return response()->json($data);
    }
    public function save(Request $request) {

        $id = $request->student_id;

        $data['name'] = $request->first_name;
        $data['middle_name'] = $request->middle_name;
        $data['last_name'] = $request->last_name;
        $data['email'] = $request->email;
        $data['gender'] = $request->gender;
        $data['dob'] = $request->dob;
        $data['matric_no'] = $request->matric_no;
        $data['class'] = $request->class;
        $data['mobile'] = $request->mobile;
        $data['address_1'] = $request->address_1;
        $data['address_2'] = $request->address_2;
        $data['country'] = $request->country;
        $data['state'] = $request->state;
        $data['city'] = $request->city;
        $data['pin_code'] = $request->pin_code;
        $data['roll'] = 'Student';



        if($id != ""){
            $save = User::where('id', $id)->update($data);

        }else{
            $data['status'] = 1;
            $data['password'] = Hash::make($request->confirm_password);
            $save = User::create($data);

        }
        return redirect()->route('student')->with('success', 'Student Details successfully Submit.');
        
    }

    public function list() {
        $sections_list = User::where('roll', 'Student')->get();
        $counter = 1;
        $sections_list->transform(function ($item) use (&$counter) {


            $item['fullname'] = $item['name'] .' '. $item['middle_name'];
            $item['ser_id'] = $counter++;


            if ($item['status'] == '1') {
                $item['status'] = '<input type="checkbox" data-id="' . $item['id'] . '" data-toggle="toggle" id="is_status"  checked class="is_featured_class">';
            } else {
                $item['status'] = '<input type="checkbox" data-id="' . $item['id'] . '" data-toggle="toggle" id="is_status"  class="is_featured_class">';
            }
            $item['action'] = '<a href="' . route('student.edit',$item['id']) . '" class="table-btn table-btn1 student_edit"><img src="'. asset('assets/images/edit_icon.svg') .'" class="img-fluid white_logo" alt=""></a>';
            $item['action'] .= '<a data-href="' . route('student.delete',$item['id']) . '" data-title="testrete" data-original-title="Delete sections" class="table-btn table-btn1 student_delete"><img src="' . asset('assets/images/delete_icon.svg') .'" class="img-fluid white_logo" alt=""></a>';

            // $item['action'] = '<a href="' . route('student.edit',$item['id']) . '" class="table-btn table-btn1 student_edit"><i class="fa fa-edit" aria-hidden="true"></i></a>';
            // $item['action'] .= '<a data-href="' . route('student.delete',$item['id']) . '" data-title="testrete" data-original-title="Delete sections" class="table-btn table-btn1 student_delete"><i class="fa fa-trash" aria-hidden="true"></i></a>';
            return $item;
        });
    
        return response()->json(['data' => $sections_list]);
        
    }

    public function edit($id) {
        $data['student'] = User::where('id', $id)->first();
        $data['states'] = State::get();
        $data['cities'] = City::get();
        $data['countries'] = Country::get();
        return view('student_management.add', $data);
    }

    public function delete($id){
        if ($id != "") {
          
                $record = User::find($id);
                $record->delete();
                return redirect()->route('student')->withSuccess('Student successfully Delete');
        
        }
    }

    public function matric_check(Request $request){
        $matric = User::where('matric_no', $request->matric)->first();
        if(isset($matric)){
            if($matric->id == $request->student_id){
              
                $data['status'] = 0;
            }else{
                $data['status'] = 1;
            }
           
           }else{
            $data['status'] = 0;
           }
        return response()->json($data);
    }
    public function email_check(Request $request){
        $email = User::where('email', $request->email)->first();

       if(isset($email)){
        if(isset($request->student_id) && $email->id == $request->student_id){
          
            $data['status'] = 0;
        }else{
            $data['status'] = 1;
        }
       
       }else{
        $data['status'] = 0;
       }
        return response()->json($data);
    }
    public function student_status(Request $request){
        $id = $request->id;
        $response['status'] = 0;
        $response['message'] = "Status canceled";
        

        if (isset($request->isChecked) && $request->isChecked != 'true') {
            $data['status'] = 0;
            $save = User::where('id', $id)->update($data);
            $response['status'] = 1;
            $response['message'] = "Disable Successfully";

        } else {
            $data['status'] = 1;
            $save = User::where('id', $id)->update($data);
            $response['status'] = 1;
            $response['message'] = "Enable Successfully";

        }
        return response()->json($response);
        
    }
  
}
