<?php

namespace App\Http\Controllers\Front;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Service;
use Illuminate\Support\Facades\Auth;
use App\Models\Payment; 
use App\Models\User; 
use App\Models\Department; 
use App\Models\Diploma; 
use App\Models\Country;
use App\Models\Courier;  
use App\Models\Pay;  
use App\Models\State;  
use App\Models\City;  
use dateTime;
use PDF;

class PurchaseServiceController extends Controller
{
    public function index() {
        $user = Auth::user();

        // $service = Service::where('status', 1)->where('service_for' ,$user->roll)->get();
        $service = Service::where('status', 1)
                  ->whereRaw('FIND_IN_SET(?, service_for)', [$user->roll])
                  ->get();
        return view('front.purchase_service.index', compact('service','user'));
    }

    public function select_service(Request $request) {
        $user = Auth::user();

        $service_details = Service::where('id', $request->service_id)->first();
         $service = Service::where('status', 1)->where('service_type' ,$service_details->service_type)
                  ->whereRaw('FIND_IN_SET(?, service_for)', [$user->roll])
                  ->get();

        $department = Department::where('id', $user->department)->first();

        $diploma = Diploma::where('status' , 1)->get();
           $countries = Country::get();
             $courier_service = Courier::where('status', 1)->get();


        // $html_view = view('front.service_type',$service_details);
        if ($service_details->service_type == "Rent") {
             $data['html_view'] = view('front.service_type_rent', compact('service_details', 'user', 'department'))->render();
        }else if($service_details->service_type == "Certificate"){
             $data['html_view'] = view('front.service_type_certificate', compact('service_details', 'user', 'department', 'service', 'diploma', 'countries', 'courier_service'))->render();

        }else if($service_details->service_type == "Others"){
             $data['html_view'] = view('front.service_type_others', compact('service_details', 'user', 'department'))->render();

        }else{
            $data['html_view'] = "";
        }
        $data['service_details'] = Service::where('id', $request->service_id)->first();



        return response()->json($data);
    }

    public function purchase_list()
    {
        $user = Auth::user();
        return view('front.purchase_service.purchase_service_list', compact('user'));
    }

    public function list(Request $request)
    {
        $user = Auth::user();
        $service_list = Payment::where('user_id' ,$user->id)->latest()->get();

        $counter = 1;
        $service_list->transform(function ($item) use (&$counter) {

            $pay = Pay::where('payments_id' ,$item->id)->first();

           
            if(isset($pay->service_type) && $pay->service_type != ''){
                $services = Service::select('name')->where('id', $pay->service_type)->first();
                $item['service'] = $services->name;
            }else{
                $item['service'] = "";
            }

            if(isset($pay->price) && $pay->price != ''){
                $item['service_price'] = $pay->price;
            }else{
                $item['service_price'] = "-";
            }

            if(isset($pay->number_of_copies) && $pay->number_of_copies != ''){
                $item['number_of_copies'] = $pay->number_of_copies;
            }else{
                $item['number_of_copies'] = "-";
            }

            if(isset($pay->amount) && $pay->amount != ''){
                $item['amount'] = $pay->amount;
            }else{
                $item['amount'] = "-";
            }

            $item['ser_id'] = $counter++;

            if (isset($item->created_at) && $item->created_at != '') {
                $dateTime = new DateTime($item->created_at);
                $formattedDate = $dateTime->format('d-M-Y');
                $item['date'] = $formattedDate;
            }else{
                $item['date'] = '';
            }


            if ($item['status'] == '1') {
                $item['status'] = '<input type="checkbox" data-id="' . $item['id'] . '" data-toggle="toggle" id="is_status"  checked class="is_featured_class">';
            } else {
                $item['status'] = '<input type="checkbox" data-id="' . $item['id'] . '" data-toggle="toggle" id="is_status"  class="is_featured_class">';
            }
        
            $item['action'] = ' <a href="javascript:;" class="receipt_show" data-id="' . $item['id'] . '" > PreView</a>';
            $item['action'] .= ' <a href="' . route('receipt.download',$item['id']) . '" class="" data-id="' . $item['id'] . '" >/ Download</a>';




            return $item;
        });
// dd($service_list);

        return response()->json(['data' => $service_list]);
    }

    public function receipt(Request $request)
    {
         
        $user = Auth::user();
        $receipt_details = Payment::where('id' ,$request->receipt)->first();
        $pay = Pay::where('payments_id', $receipt_details->id)->first();
        $data['type'] = isset($pay->type) ? $pay->type : '';
        
        $data['matric_no'] = isset($user->matric_no) ? $user->matric_no : '';
        $data['fullname'] = (isset($user->name) ? $user->name : '') . 
                   (isset($user->middle_name) ? ' ' . $user->middle_name : '') . 
                   (isset($user->last_name) ? ' ' . $user->last_name : '');

       if (isset($pay) && $pay->address1 && $pay->country && $pay->state && $pay->city) {
          $country = Country::select('name')->where('id', $pay->country)->first();
          $state = State::select('name')->where('id', $pay->state)->first();
          $city = City::select('name')->where('id', $pay->city)->first();

           $data['address'] = $pay->address1 . ', '. $city->name .', '. $state->name .', '.$country->name;
       }else{
           $data['address'] = "";
       }

       $data['mobile'] = isset($user->mobile) ? $user->mobile : '';

        $data['email'] = isset($pay->email) ? $pay->email : '';


        if (isset($user->department) && $user->department != '') {
             $department = Department::where('id' ,$user->department)->first();
            $data['department_name'] = isset($department->name) ? $department->name : '';
        }else{
              $data['department_name']= "";
        }

        if (isset($pay->fromdate) && $pay->fromdate != '' && isset($pay->todate) && $pay->todate != '') {
              $fromdateTime = new DateTime($pay->fromdate);
                $formattedDate = $fromdateTime->format('d-M-Y');
                 $todateTime = new DateTime($pay->todate);
                $todateDate = $todateTime->format('d-M-Y');
            $data['rent_date'] = $formattedDate . ' - ' . $todateDate;
        }else{
            $data['rent_date'] = '';

        }

        $data['purpose_of_rent'] = isset($pay->purpose_of_rent) ? $pay->purpose_of_rent : '';
        $data['amount'] = isset($pay->amount) ? $pay->amount : '';
        $data['reference'] = isset($pay->reference) ? $pay->reference : '';
        $data['department'] = isset($user->department) ? $user->department : '';
        $data['gender'] = isset($user->gender) ? $user->gender : '';
        $data['qrcode'] = isset($receipt_details->qrcode) ? $receipt_details->qrcode : '';

        if (isset($receipt_details->qrcode) && $receipt_details->qrcode != '') {

           $data['qrcode'] = asset('qrcode/' . $receipt_details->qrcode);
        }else{
            $data['qrcode'] = "";
        }
        $data['pay'] = Pay::where('payments_id', $receipt_details->id)->first();


          if (isset($receipt_details->created_at) && $receipt_details->created_at != '') {
                $dateTime = new DateTime($receipt_details->created_at);
                $formattedDate = $dateTime->format('d-M-Y');
                $data['date'] = $formattedDate;
            }else{
                $data['date'] = '';
            }

            if (isset($pay->service_type) && $pay->service_type != '') {
                $services = Service::select('name')->where('id', $pay->service_type)->first();
                $data['services'] = $services->name;
            }else{
                $data['services'] = "";
            }

         return response()->json($data);
    }

    public function download($id)
    {
            $user = Auth::user();
        $receipt_details = Payment::where('id' ,$id)->first();
        $pay = Pay::where('payments_id', $receipt_details->id)->first();

        $data['matric_no'] = isset($user->matric_no) ? $user->matric_no : '';
        $data['fullname'] = (isset($user->name) ? $user->name : '') . 
                   (isset($user->middle_name) ? ' ' . $user->middle_name : '') . 
                   (isset($user->last_name) ? ' ' . $user->last_name : '');

        // $data['department'] = isset($user->department) ? $user->department : '';
        if (isset($user->department) && $user->department != '') {
             $department = Department::where('id' ,$user->department)->first();
            $data['department_name'] = isset($department->name) ? $department->name : '';
        }else{
              $data['department_name']= "";
        }
         $data['purpose_of_rent'] = isset($pay->purpose_of_rent) ? $pay->purpose_of_rent : '';

         $data['type'] = isset($pay->type) ? $pay->type : '';
          $data['mobile'] = isset($user->mobile) ? $user->mobile : '';

           $data['amount'] = isset($pay->amount) ? $pay->amount : '';
        $data['reference'] = isset($pay->reference) ? $pay->reference : '';
        $data['department'] = isset($user->department) ? $user->department : '';
        $data['gender'] = isset($user->gender) ? $user->gender : '';
        $data['email'] = isset($pay->email) ? $pay->email : '';

        // $data['reference'] = isset($user->reference) ? $user->reference : '';
        $data['image'] = isset($user->image) ? $user->image : '';

              if (isset($pay->fromdate) && $pay->fromdate != '' && isset($pay->todate) && $pay->todate != '') {
              $fromdateTime = new DateTime($pay->fromdate);
                $formattedDate = $fromdateTime->format('d-M-Y');
                 $todateTime = new DateTime($pay->todate);
                $todateDate = $todateTime->format('d-M-Y');
            $data['rent_date'] = $formattedDate . ' - ' . $todateDate;
        }else{
            $data['rent_date'] = '';

        }

        if (isset($pay) && $pay->address1 && $pay->country && $pay->state && $pay->city) {
          $country = Country::select('name')->where('id', $pay->country)->first();
          $state = State::select('name')->where('id', $pay->state)->first();
          $city = City::select('name')->where('id', $pay->city)->first();

           $data['address'] = $pay->address1 . ', '. $city->name .', '. $state->name .', '.$country->name;
       }else{
           $data['address'] = "";
       }


          if (isset($receipt_details->created_at) && $receipt_details->created_at != '') {
                $dateTime = new DateTime($receipt_details->created_at);
                $formattedDate = $dateTime->format('d-M-Y');
                $data['date'] = $formattedDate;
            }else{
                $data['date'] = '';
            }

              if (isset($pay->service_type) && $pay->service_type != '') {
                $services = Service::select('name')->where('id', $pay->service_type)->first();
                $data['services'] = $services->name;
            }else{
                $data['services'] = "";
            }

        if (isset($receipt_details->qrcode) && $receipt_details->qrcode != '') {

           $data['qrcode'] = $receipt_details->qrcode;
        }else{
            $data['qrcode'] = "";
        }

        $pdf = PDF::loadView('pdf.receipt', $data);



        return $pdf->download('receipt.pdf');
    }

    public function certificate_pay(Request $request)
    {
        $certificate_form = json_encode($request->form_data);


        $user = Auth::user();

        $service_details = Service::where('id', $request->service_id)->first();
        $service = Service::where('status', 1)->where('service_type' ,$service_details->service_type)
                  ->whereRaw('FIND_IN_SET(?, service_for)', [$user->roll])
                  ->get();

        $department = Department::where('id', $user->department)->first();
        $total_amount = $request->total_amount;

         $data['html_view'] = view('front.service_type_certificate_pay', compact('service_details', 'user', 'department', 'total_amount'))->render();
         $data['total_amount'] = $request->total_amount;
         $data['certificate_form'] = $certificate_form;


         return response()->json($data);

    }
}
