<?php

namespace App\Http\Controllers\Front;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use App\Models\User;
use App\Models\Department;
use App\Models\Faculty;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\Auth;


class RegisterController extends Controller
{
    public function index() {
        $department = Department::where('status', 1)->get();
        $faculty = Faculty::where('status', 1)->get();

           $user = Auth::user();
        if (isset($user)) {
            return redirect()->route('purchase_service');
        }

        return view('front.register', compact('department', 'faculty'));
    }
    public function save(Request $request){


        $data['name'] = $request->first_name;
        $data['middle_name'] = $request->middle_name;
        $data['last_name'] = $request->last_name;
        $data['email'] = $request->email;
        $data['gender'] = $request->gender;
        $data['mobile'] = isset($request->phone) ? $request->phone :'';
        // $data['dob'] = $request->dob;
        $data['matric_no'] = isset($request->matric_no) ? $request->matric_no :'';
        // $data['class'] = $request->class;
        $data['faculty'] = isset($request->faculty) ? $request->faculty : '';
        $data['type'] = isset($request->type) ? $request->type : '';
        $data['level'] = isset($request->level) ? $request->level : '';
        $data['start_end_date'] = isset($request->start_end_date) ? $request->start_end_date : '';
        $data['address_1'] = isset($request->address) ? $request->address : '';

        $data['department'] = isset($request->department) ? $request->department : '';
        // $data['city'] = $request->city;
        // $data['pin_code'] = $request->pin_code;
        if ($request->hasFile('image') || $request->hasFile('image')) {

            $file = $request->file('image');

            $image = str_replace(' ', '', $file->getClientOriginalName());

            $destinationPath = public_path('students/image');



            $file->move($destinationPath, $image);

            $data['image'] = $image;
        }else{
            $data['image'] = '';
        }

        if (isset($request->image_data) && $request->image_data != '' ) {
             $imageData = $request->image_data;
            $encodedImageData = substr($imageData, strpos($imageData, ",") + 1);
            $decodedImageData = base64_decode($encodedImageData);
             $filename = 'image_' . time() . '.jpg';
             $uploadPath = public_path('students/image');
              if (!file_exists($uploadPath)) {
                mkdir($uploadPath, 0755, true);
             }
             file_put_contents($uploadPath . '/' . $filename, $decodedImageData);
                    $data['image'] = $filename;

        }
        $data['roll'] = $request->roll;

    
            $data['status'] = 1;
            $data['password'] = Hash::make($request->re_password);

            $save = User::create($data);

        return redirect()->route('user.login')->with('success', 'User Details successfully Submit.');
        
    }

    public function faculty_department(Request $request)
    {
        $data['department'] = Department::where("faculty_id",$request->faculty)->get();
  
        return response()->json($data);
    }
}
