<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Redirect;
use Paystack;// Paystack package
use Auth;
use Illuminate\Support\Facades\File;

use App\Models\Payment; // Payment Model
use App\Models\User; // User model
use App\Models\Pay;
use Illuminate\Support\Facades\Session;
use SimpleSoftwareIO\QrCode\Facades\QrCode;
class PaymentController extends Controller
{

    /**
     * Redirect the User to Paystack Payment Page
     * @return Url
     */
    public function redirectToGateway(Request $request)
    {
        try{


                // $qrCode = QrCode::size(200)
                //         ->margin(1)
                //         ->generate(
                //             'Hello, World!',
                //         );
                        // $imageName = time().'_qrcode.png';
                           // $destinationPath = public_path('qrcode\image');
        // $qrCode->save(public_path('qrcode/image/'.$imageName));
        // $qrCode->move($destinationPath, $qrCode);
         
            // $data = array(
            //         "amount" => 700 * 100,
            //         "reference" => '4g4g5485g8545jg8gj',
            //         "email" => 'user@mail.com',
            //         "currency" => "NGN",
            //         "orderID" => 23456,
            //     );
            return Paystack::getAuthorizationUrl()->redirectNow();
    //          $data = array(
    //         "amount" => 700 * 100,
    //         "reference" => '4g4g5485g8545jg8gj',
    //         "email" => 'user@mail.com',
    //         "currency" => "NGN",
    //         "orderID" => 23456,
    //     );
    // return Paystack::getAuthorizationUrl($data)->redirectNow();
        }catch(\Exception $e) {
            return Redirect::back()->with(['error'=>'The paystack token has expired. Please refresh the page and try again.']);
        }        
    }

    public function initializeTransaction(Request $request)
    {
    }


    /**
     * Obtain Paystack payment information
     * @return void
     */
    public function handleGatewayCallback()
    {
     //Getting authenticated user 
        $id = Auth::id();

        
        // Getting the specific student and his details
        $student = User::where('id',$id)->first();
        $class_id = $student->mobile;
        $section_id = $student->matric_no; 
        $level_id = $student->level; 
        $student_id = $student->id; 
        $paymentDetails = Paystack::getPaymentData(); 


        // $inv_id = $paymentDetails['data']['metadata']['invoiceId'];
        if (isset($paymentDetails['data']['metadata']['services']['id'])) {
          $services = $paymentDetails['data']['metadata']['services']['id'];    
        }else{
            $services = "";
        }
        
        $status = $paymentDetails['data']['status']; // Getting the status of the transaction
        // $amount = $paymentDetails['data']['amount']; //Getting the Amount
        // $amount = $paymentDetails['data']['metadata']['services']['price'];
        $amount = $paymentDetails['data']['metadata']['amount'];
        $price = $paymentDetails['data']['metadata']['price'];
        $type = $paymentDetails['data']['metadata']['type'];


        
        $number = $randnum = rand(1111111111,9999999999);// this one is specific to application
        $number = 'year'.$number;
        $reference = $paymentDetails['data']['reference'];

          
        // dd($status);
        if($status == "success"){ //Checking to Ensure the transaction was succesful
          
           $payment =  Payment::create(['user_id' => $student_id,'amount'=>$amount,'qrcode'=>$reference.'.png','reference'=>$reference,'service'=>$services,'status'=>1]);
             // $paymentDetails_cer = $paymentDetails['data']['metadata']['services'];
               $url_pdf = route('receipt.download',$payment->id);
             $qrcodeimage = QrCode::size(200)
            ->format('png')
            ->generate($url_pdf, public_path('qrcode/'.$reference.'.png'));


             if (isset($type) && $type == 'Certificate') {

             $paymentDetails_cer_json = json_decode($paymentDetails['data']['metadata']['services']);
             foreach ($paymentDetails_cer_json as $key => $value) {
                $data['user_id'] = $id;
                $data['payments_id'] = $payment->id;
                $data['amount'] = $amount;
                $data['price'] = $price;
                $data['type'] = $type;


                $data['reference'] = $reference;
                 if ($value->name == 'diploma') { $data['diploma'] = $value->value; }
                 if ($value->name == 'courier_service') { $data['courier_service'] = $value->value;}
                 if ($value->name == 'request_type') { $data['service_type'] = $value->value;}
                 if ($value->name == 'from_year') { $data['from_year'] = $value->value;}
                 if ($value->name == 'to_year') { $data['to_year'] = $value->value;}
                 if ($value->name == 'number_of_copies') { $data['number_of_copies'] = $value->value;}
                 if ($value->name == 'recipient_name') { $data['recipient_name'] = $value->value;}
                 if ($value->name == 'phone_no') { $data['phone'] = $value->value;}
                 if ($value->name == 'emial_address') { $data['email'] = $value->value;}
                 if ($value->name == 'address1') { $data['address1'] = $value->value;}
                 if ($value->name == 'address2') { $data['address2'] = $value->value;}
                 if ($value->name == 'country') { $data['country'] = $value->value;}
                 if ($value->name == 'state') { $data['state'] = $value->value;}
                 if ($value->name == 'city') { $data['city'] = $value->value;}

             }
         }else{
               $data['user_id'] = $id;
                $data['payments_id'] = $payment->id;
                $data['amount'] = $amount;
                $data['price'] = $price;
                $data['type'] = $type;
                $data['service_type'] = $paymentDetails['data']['metadata']['services']['id'];
                $data['reference'] = $reference;
                if (isset($paymentDetails['data']['metadata']['purpose_of_rent'])) {
                     $data['purpose_of_rent'] = $paymentDetails['data']['metadata']['purpose_of_rent'];
                }
                if (isset($paymentDetails['data']['metadata']['fromdate'])) {
                     $data['fromdate'] = $paymentDetails['data']['metadata']['fromdate'];
                }
                if (isset($paymentDetails['data']['metadata']['todate'])) {
                     $data['todate'] = $paymentDetails['data']['metadata']['todate'];
                }
                if (isset($paymentDetails['data']['metadata']['number_of_days'])) {
                     $data['number_of_days'] = $paymentDetails['data']['metadata']['number_of_days'];
                }


         }
             Pay::create($data);


            // Student::where('user_id', $id)
            //       ->update(['register_no' => $number,'acceptance_status' => 1]);
                  
            // return view('student.studentFees'); 
            return redirect()->route('purchase.list')->withSuccess('Payment successful.');

        }
      
   
    }
}
