<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Wildside\Userstamps\Userstamps;
use Illuminate\Support\Carbon;

class Pay extends Model
{
    use HasFactory, SoftDeletes;
    use Userstamps;
    public $timestamps = true;
    protected $userstamps = [
       'created_by' => 'created_by', 
       'updated_by' => 'updated_by',
       'deleted_by' => 'deleted_by',
   ];

    protected $fillable = [
        'payments_id',
        'user_id',
        'reference',
        'diploma',
        'service_type',
        'from_year',
        'to_year',
        'number_of_copies',
        'courier_service',
        'recipient_name',
        'phone',
        'email',
        'address1',
        'address2',
        'country',
        'state',
        'city',
        'type',
        'amount',
        'price',
        'description',
        'purpose_of_rent',
        'fromdate',
        'todate',
        'number_of_days',

    ];


}
