@extends('layouts.backend.index')
@section('main')

<div class="pcoded-wrapper">

    <div class="pcoded-content">

        <div class="pcoded-inner-content">

            <!-- [ breadcrumb ] start -->



            <!-- [ breadcrumb ] end -->

            <div class="main-body">

                <div class="page-wrapper">

                    <!-- [ Main Content ] start -->

                    <div class="row ">

                        <div class="col-xxl-12 col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">

                            <div class="card Recent-Users mb-4">

                                <div class="card-header">

                                    <h5>Courier-Service</h5>

                                    <a href="{{route('courier-service.add')}}" class="add-article-btn">Add Courier-Service</a>

                                </div>

                                <div class="card-block px-0 py-3">

                                    <div class="table-responsive" role="tabpanel" id="">

                                        <table class="table table-hover" id="service_table" style="width:100%">

                                            <thead>

                                                <tr class="unread">

                                                    <th scope="col">#</th>

                                                    <th scope="col">Name</th>

                                                    <th scope="col">price</th>

                                                    <th scope="col">Status</th>

                                                    <th scope="col">Action</th>

                                                </tr>

                                            </thead>

                                            <tbody>

                                            </tbody>

                                        </table>

                                    </div>

                                </div>

                            </div>

                        </div>

                    </div>

                </div>



            </div>

        </div>

    </div>

</div>




@endsection

@section('scripts')
<script>
$(document).ready(function() {
    var token = $("meta[name='csrf-token']").attr("content");

    var table = $('#service_table').DataTable({
        language: {
            search: "",
            "searchPlaceholder": "Search",
            "processing": '<i class="fa fa-spinner fa-spin" style="font-size:24px;color:rgb(75, 183, 245);"></i>',
            paginate: {
                next: '&gt;', // or '→'
                previous: '&lt;' // or '←' 
            }
        },
        processing: true,
        bAutoWidth: false,
        aoColumns: [{
                sWidth: '1%'
            },
            {
                sWidth: '25%'
            },
            {
                sWidth: '25%'
            },
            {
                sWidth: '25%'
            },
            {
                sWidth: '24%'
            }
        ],
        ajax: {
            url: admin_url + "admin/courier-service-list",
            type: 'post',
            data: {
                _token: token,
            },
        },

        columns: [{
                data: 'ser_id',
                name: 'id'
            },
            {
                data: 'name',
                name: 'name'
            },
            {
                data: 'price',
                name: 'price'
            },
            {
                data: 'status',
                name: 'status'
            },
            {
                data: 'action',
                name: 'action'
            }
        ]
    });
});

$(document).on('click', '.service_delete', function(e) {
    e.preventDefault();
    var deleteUrl = $(this).data('href');
    Swal.fire({
        title: 'Are you sure?',
        text: 'You are about to delete the courier-service!',
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!',
        cancelButtonText: 'Cancel'
    }).then((result) => {
        if (result.isConfirmed) {
            window.location.href = deleteUrl;
        }
    });
});

$(document).on('click', '.is_featured_class', function() {
        var token = $("meta[name='csrf-token']").attr("content");
        var id = $(this).attr("data-id");
        var isChecked = $(this).is(':checked');
        $.ajax({
            url: admin_url + "admin/courier-service-status",
            type: "post",
            data: {
                _token: token,
                isChecked: isChecked,
                id: id,
            },
            success: function(data) {
                if (data.status == 1) {
                    toastr.success(data.message);
                }else{
                    toastr.error(data.message);
                }

            }
        });
    })

</script>

@endsection