@extends('layouts.backend.index')
@section('main')
<div class="pcoded-wrapper">
    <div class="pcoded-content">
        <div class="pcoded-inner-content">
            <!-- [ breadcrumb ] start -->
            <div class="page-header">
                <div class="page-block">
                    <div class="row align-items-center">
                        <div class="col-md-12">
                            <div class="page-header-title">
                                <h5 class="m-b-10">Faculty</h5>
                            </div>
                            <ul class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i
                                            class="feather icon-home"></i></a></li>
                                <li class="breadcrumb-item"><a href="{{route('faculty')}}">Faculty</a></li>
                                <li class="breadcrumb-item"><a href="javascript:">Faculty Add</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

            <!-- [ breadcrumb ] end -->
            <div class="main-body">
                <div class="page-wrapper">
                    <!-- [ Main Content ] start -->
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-header">
                                    <h5>Faculty</h5>
                                </div>
                                <div class="card-body">
                                    <form action="{{route('faculty.save')}}" id="faculty_add" method="POST"
                                        data-parsley-validate>
                                        @csrf
                                        <input type="hidden" id="faculty_id"
                                            value="{{isset($faculty->id) ? $faculty->id : ''}}" name="faculty_id">
                                        <div class="input_group">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="exampleInputEmail1">Faculty Name</label>
                                                        <input type="text" class="form-control" id="first_name"
                                                            name="name" required
                                                            value="{{isset($faculty->name) ? $faculty->name : ''}}"
                                                            data-parsley-required-message="Please Enter Name"
                                                            placeholder="Please Enter Name">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="exampleInputEmail1">Description</label>
                                                        <textarea class="form-control" id="description" value=""
                                                            placeholder="Please Enter Description"
                                                            name="description">{{isset($faculty->description) ? $faculty->description : ''}}</textarea>
                                                    </div>
                                                </div>

                                            </div>
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <button type="submit" id="student_update"
                                                        class="btn btn-primary">Submit</button>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection


@section('scripts')
<!-- <script src="{{ asset('assets/js/custom/address.js') }}"></script> -->

@endsection