@extends('front.layouts.index')
@section('front.main')

<div class="signup-content">
    <form action="{{ route('reset.password.post') }}" id="" method="POST" data-parsley-validate>
        @csrf
        <input type="hidden" name="token" value="{{ $token }}">
        <div class="d-flex justify-content-center">
            <img src="{{ asset('assets/fonts/images/logo_new.jpg') }}" alt="" class="img-fluid"
                id="logo" style="">
        </div>
        <h2 class="form-title">Reset Password</h2>
        <div class="form-group">
            <input type="email" class="form-input" name="email" id="email_address" placeholder="Your Email" required
                data-parsley-required-message="Please Enter Email" />
        </div>
        <div class="form-group">
            <input type="password" class="form-input" name="password" id="password" placeholder="Password" required
                data-parsley-required-message="Please Enter Password"
                data-parsley-pattern="^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[$@$!%*?&])[A-Za-z\d$@$!%*?&]{8,}$"
                data-parsley-pattern-message="Requires upper and lowercase letters, at least 8 characters long, and include numbers and special characters" />
        </div>
        <div class="form-group">
            <input type="password" class="form-input" name="re_password" id="re_password"
                placeholder="Repeat your password" required data-parsley-required-message="Please Confirm Password"
                data-parsley-equalto="#password" data-parsley-equalto-message="Passwords do not match" />
        </div>
        <div class="form-group">
            <button type="submit" id="" class="form-submit">Reset Password</button>
        </div>
    </form>
</div>

@endsection