<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Auth\LoginController ;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', [App\Http\Controllers\Front\HomeController::class, 'index'])->name('front.login');
Route::get('/user-login', [App\Http\Controllers\Front\HomeController::class, 'login'])->name('user.login');
Route::get('/user-reset', [App\Http\Controllers\Front\HomeController::class, 'reset_password'])->name('front.reset');


Route::get('user-register', [App\Http\Controllers\Front\RegisterController::class, 'index'])->name('front.register');
Route::post('registration-save', [App\Http\Controllers\Front\RegisterController::class, 'save'])->name('registr.save');
Route::post('login-save', [App\Http\Controllers\Front\HomeController::class, 'customLogin'])->name('login.save');

Route::post('faculty-department', [App\Http\Controllers\Front\RegisterController::class, 'faculty_department'])->name('faculty.department');




Route::get('forget-password', [App\Http\Controllers\Front\ForgotPasswordController::class, 'showForgetPasswordForm'])->name('forget.password.get');
Route::post('forget-password', [App\Http\Controllers\Front\ForgotPasswordController::class, 'submitForgetPasswordForm'])->name('forget.password.post'); 
Route::get('reset-password/{token}', [App\Http\Controllers\Front\ForgotPasswordController::class, 'showResetPasswordForm'])->name('reset.password.get');
Route::post('reset-password', [App\Http\Controllers\Front\ForgotPasswordController::class, 'submitResetPasswordForm'])->name('reset.password.post');
Route::get('dashboard', [App\Http\Controllers\Front\DashboardController::class, 'index'])->name('front.dashboard')->middleware('auth');


// purchase service
Route::get('purchase-service', [App\Http\Controllers\Front\PurchaseServiceController::class, 'index'])->name('purchase_service')->middleware('auth');

Route::post('select-service', [App\Http\Controllers\Front\PurchaseServiceController::class, 'select_service'])->name('select.service')->middleware('auth');

Route::get('purchase-list', [App\Http\Controllers\Front\PurchaseServiceController::class, 'purchase_list'])->name('purchase.list')->middleware('auth');

Route::post('purchase-service-list', [App\Http\Controllers\Front\PurchaseServiceController::class, 'list'])->name('purchase-service.list')->middleware('auth');

Route::post('receipt-show', [App\Http\Controllers\Front\PurchaseServiceController::class, 'receipt'])->name('purchase-service.receipt')->middleware('auth');

Route::get('receipt-download/{id}', [App\Http\Controllers\Front\PurchaseServiceController::class, 'download'])->name('receipt.download');

Route::post('select-service-certificate', [App\Http\Controllers\Front\PurchaseServiceController::class, 'certificate_pay'])->name('purchase-service.certificate')->middleware('auth');







// Paystack Payment
Route::post('/pay', [App\Http\Controllers\PaymentController::class, 'redirectToGateway'])->name('pay');
Route::get('/payment/callback', [App\Http\Controllers\PaymentController::class, 'handleGatewayCallback'])->name('payment')->middleware('auth');
Route::post('payment/callback/transaction/initialize', [App\Http\Controllers\PaymentController::class, 'initializeTransaction']);

//TERMS-CONDITIONS 
Route::get('/terms-conditions', [App\Http\Controllers\Front\HomeController::class, 'term_service'])->name('term_service');



Auth::routes();

Route::prefix('admin')->group(function () {

Route::get('/login', [App\Http\Controllers\Auth\LoginController::class, 'showLoginForm'])->name('admin.login');

Route::get('/dashboard', [App\Http\Controllers\HomeController::class, 'index'])->name('dashboard');
Route::post('admin-logout', [App\Http\Controllers\Auth\LoginController::class, 'admin_logout'])->name('admin.logout')->middleware('auth');

// Student Management
Route::get('/student', [App\Http\Controllers\Backend\StudentController::class, 'index'])->name('student')->middleware('auth');
Route::get('/student-add', [App\Http\Controllers\Backend\StudentController::class, 'add'])->name('student.add')->middleware('auth');
Route::post('/student-save', [App\Http\Controllers\Backend\StudentController::class, 'save'])->name('student.save')->middleware('auth');
Route::post('/fetch-states', [App\Http\Controllers\Backend\StudentController::class, 'fetchState'])->name('fetch-states');
Route::post('/fetch-cities', [App\Http\Controllers\Backend\StudentController::class, 'fetchCity']);
Route::post('/student-list', [App\Http\Controllers\Backend\StudentController::class, 'list'])->name('student.list')->middleware('auth');
Route::get('student/{id}', [App\Http\Controllers\Backend\StudentController::class, 'edit'])->name('student.edit')->middleware('auth');
Route::get('student-delete/{id}', [App\Http\Controllers\Backend\StudentController::class, 'delete'])->name('student.delete')->middleware('auth');
Route::post('matric', [App\Http\Controllers\Backend\StudentController::class, 'matric_check'])->name('student.matric');
Route::post('email', [App\Http\Controllers\Backend\StudentController::class, 'email_check'])->name('student.email');
Route::post('student-status', [App\Http\Controllers\Backend\StudentController::class, 'student_status'])->name('student.status')->middleware('auth');



// Staff Management
Route::get('/staff', [App\Http\Controllers\Backend\StaffController::class, 'index'])->name('staff')->middleware('auth');


// Admin Management
Route::get('/admin', [App\Http\Controllers\Backend\AdmintController::class, 'index'])->name('admin')->middleware('auth');

// service
Route::get('/service', [App\Http\Controllers\Backend\ServiceController::class, 'index'])->name('service')->middleware('auth');
Route::get('/servic-add', [App\Http\Controllers\Backend\ServiceController::class, 'add'])->name('service.add')->middleware('auth');
Route::post('/service-save', [App\Http\Controllers\Backend\ServiceController::class, 'save'])->name('service.save')->middleware('auth');
Route::post('/service-list', [App\Http\Controllers\Backend\ServiceController::class, 'list'])->name('service.list')->middleware('auth');
Route::get('service/{id}', [App\Http\Controllers\Backend\ServiceController::class, 'edit'])->name('service.edit')->middleware('auth');
Route::get('service-delete/{id}', [App\Http\Controllers\Backend\ServiceController::class, 'delete'])->name('service.delete')->middleware('auth');
Route::post('service-status', [App\Http\Controllers\Backend\ServiceController::class, 'student_status'])->name('service.status')->middleware('auth');


//department
Route::get('/department', [App\Http\Controllers\Backend\DepartmentController::class, 'index'])->name('department')->middleware('auth');
Route::get('/department-add', [App\Http\Controllers\Backend\DepartmentController::class, 'add'])->name('department.add')->middleware('auth');
Route::post('/department-save', [App\Http\Controllers\Backend\DepartmentController::class, 'save'])->name('department.save')->middleware('auth');
Route::post('/department-list', [App\Http\Controllers\Backend\DepartmentController::class, 'list'])->name('department-list')->middleware('auth');
Route::get('department/{id}', [App\Http\Controllers\Backend\DepartmentController::class, 'edit'])->name('department.edit')->middleware('auth');
Route::get('department-delete/{id}', [App\Http\Controllers\Backend\DepartmentController::class, 'delete'])->name('department.delete')->middleware('auth');
Route::post('department-status', [App\Http\Controllers\Backend\DepartmentController::class, 'department_status'])->name('department.status')->middleware('auth');

//Faculty

Route::get('/faculty', [App\Http\Controllers\Backend\FacultyController::class, 'index'])->name('faculty')->middleware('auth');
Route::get('/faculty-add', [App\Http\Controllers\Backend\FacultyController::class, 'add'])->name('faculty.add')->middleware('auth');
Route::post('/faculty-save', [App\Http\Controllers\Backend\FacultyController::class, 'save'])->name('faculty.save')->middleware('auth');
Route::post('/faculty-list', [App\Http\Controllers\Backend\FacultyController::class, 'list'])->name('faculty-list')->middleware('auth');
Route::get('faculty/{id}', [App\Http\Controllers\Backend\FacultyController::class, 'edit'])->name('faculty.edit')->middleware('auth');
Route::get('faculty-delete/{id}', [App\Http\Controllers\Backend\FacultyController::class, 'delete'])->name('faculty.delete')->middleware('auth');
Route::post('faculty-status', [App\Http\Controllers\Backend\FacultyController::class, 'faculty_status'])->name('faculty.status')->middleware('auth');


//Class of Diploma

Route::get('/class', [App\Http\Controllers\Backend\DiplomaController::class, 'index'])->name('class_diploma')->middleware('auth');
Route::get('/class-add', [App\Http\Controllers\Backend\DiplomaController::class, 'add'])->name('class.add')->middleware('auth');
Route::post('/class-save', [App\Http\Controllers\Backend\DiplomaController::class, 'save'])->name('class.save')->middleware('auth');
Route::post('/class-list', [App\Http\Controllers\Backend\DiplomaController::class, 'list'])->name('class-list')->middleware('auth');
Route::get('class/{id}', [App\Http\Controllers\Backend\DiplomaController::class, 'edit'])->name('class.edit')->middleware('auth');
Route::get('class-delete/{id}', [App\Http\Controllers\Backend\DiplomaController::class, 'delete'])->name('class.delete')->middleware('auth');
Route::post('class-status', [App\Http\Controllers\Backend\DiplomaController::class, 'class_status'])->name('class.status')->middleware('auth');

//Courier Service

Route::get('/courier-service', [App\Http\Controllers\Backend\CourierServiceController::class, 'index'])->name('courier_service')->middleware('auth');
Route::get('/courier-service-add', [App\Http\Controllers\Backend\CourierServiceController::class, 'add'])->name('courier-service.add')->middleware('auth');
Route::post('/courier-service-save', [App\Http\Controllers\Backend\CourierServiceController::class, 'save'])->name('courier-service.save')->middleware('auth');
Route::post('/courier-service-list', [App\Http\Controllers\Backend\CourierServiceController::class, 'list'])->name('courier-service.list')->middleware('auth');
Route::get('courier-service/{id}', [App\Http\Controllers\Backend\CourierServiceController::class, 'edit'])->name('courier-service.edit')->middleware('auth');
Route::get('courier-service-delete/{id}', [App\Http\Controllers\Backend\CourierServiceController::class, 'delete'])->name('courier-service.delete')->middleware('auth');
Route::post('courier-service-status', [App\Http\Controllers\Backend\CourierServiceController::class, 'student_status'])->name('courier-service.status')->middleware('auth');

});